Apphook triggers
This endpoint can be used to manage Apphook Triggers. Triggers can be used to trigger actions inside the Bundeling App. Multiple triggers can be created for the same Apphook.
Retrieves a collection of Apphook Triggers and rudimentary information about them.
Retrieves a single Apphook Trigger.
Creates an Apphook Trigger. Only available for listed endpoints.
Updates an Apphook Trigger.
Deletes an Apphook Trigger.
GET https://api.bundeling.com/V2/apphook_triggers
Example request Raw cURL JavaScript PHP Python Go Choose language
Headers Example response {
"data": [
{
"uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
"apphook_uuid": "cc8f6d9362f24ee9b2eeb763c41c054d",
"type": "Time",
"properties": "{\n\t\t\t\t'startdate': '2026-10-03T00:00:00+0200',\n\t\t\t\t'enddate': '2026-12-03T00:00:00+0100'\n\t\t\t}",
"creationdate": "2026-06-03T00:00:00+0200",
"lastupdate": "2026-06-03T00:00:00+0200"
}
],
"pagination": {
"total": 1,
"per_page": 100,
"current_page": 1,
"total_pages": 1
}
}